Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# SubfileInfo Class Reference

This class records a particular byte sub-range within an existing file on disk. More...

List of all members.

## Public Member Functions
| SubfileInfo ()
| SubfileInfo (FileReference const file, int start, int size)
| SubfileInfo (SubfileInfo const copy)
| SubfileInfo (Filename const filename, int start, int size)
FileReference const | getFile ()
| Returns the FileReference that represents this file.
Filename const | getFilename ()
| A shortcut to the filename.
int | getSize ()
| Returns the number of consecutive bytes, beginning at get_start(), that correspond to this file data.
int | getStart ()
| Returns the offset within the file at which this file data begins.
bool | isEmpty ()
| Returns true if this SubfileInfo doesn't define any file, false if it has real data.
SubfileInfo | operator= (SubfileInfo const copy)
| output (ostream out)

## Detailed Description

This class records a particular byte sub-range within an existing file on disk.

Generally, the filename is understood as a physical file on disk, and not to be looked up via the vfs.

## Constructor & Destructor Documentation

SubfileInfo | ( |  | ) |

SubfileInfo | ( | FileReference const | file,
|  | int | start,
|  | int | size
| ) |  |

SubfileInfo | ( | Filename const | filename,
|  | int | start,
|  | int | size
| ) |  |

SubfileInfo | ( | SubfileInfo const | copy | ) |

## Member Function Documentation

FileReference const getFile | ( |  | ) |

Returns the FileReference that represents this file.

Filename const getFilename | ( |  | ) |

A shortcut to the filename.

int getSize | ( |  | ) |

Returns the number of consecutive bytes, beginning at get_start(), that correspond to this file data.

int getStart | ( |  | ) |

Returns the offset within the file at which this file data begins.

bool isEmpty | ( |  | ) |

Returns true if this SubfileInfo doesn't define any file, false if it has real data.

SubfileInfo operator= | ( | SubfileInfo const | copy | ) |

output | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties